Skip to content

Get 'NotificationDistribution'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/communication/notificationdistribution/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/communication/notificationdistribution/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

distribution_typeinteger, (int32), [ -2147483648 .. 2147483647 ]read-onlyrequired
notificationobject(Notification)read-onlyrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
updated_atstring, (date-time)read-only
sent_timestring or null, (date-time)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: delivered_time, failed_delivery_time, viewed_time

delivered_timestring or null, (date-time)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: failed_delivery_time, viewed_time, sent_time

viewed_timestring or null, (date-time)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: delivered_time, sent_time, failed_delivery_time

failed_delivery_timestring or null, (date-time)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: delivered_time, sent_time, viewed_time

failed_contextstring or null

Additional Validation Information:

This value requires that the following fields are also set: failed_delivery_time

Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "distribution_type": -2147483648, "updated_at": "2019-08-24T14:15:22Z", "sent_time": "2019-08-24T14:15:22Z", "delivered_time": "2019-08-24T14:15:22Z", "viewed_time": "2019-08-24T14:15:22Z", "failed_delivery_time": "2019-08-24T14:15:22Z", "failed_context": "string", "notification": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }